| Irrlicht 3D Engine |

Public Member Functions
irr::scene::IParticleAttractionAffector Class Reference

A particle affector which attracts or detracts particles. More...

`#include <IParticleAttractionAffector.h>`

Inheritance diagram for irr::scene::IParticleAttractionAffector:

List of all members.

## Public Member Functions

- virtual bool getAffectX () const =0
    Get whether or not the particles X position are affected.
- virtual bool getAffectY () const =0
    Get whether or not the particles Y position are affected.
- virtual bool getAffectZ () const =0
    Get whether or not the particles Z position are affected.
- virtual bool getAttract () const =0
    Get whether or not the particles are attracting or detracting.
- virtual const core::vector3df & getPoint () const =0
    Get the point that particles are attracted to.
- virtual E_PARTICLE_AFFECTOR_TYPE getType () const
    Get emitter type.
- virtual void setAffectX (bool affect)=0
    Set whether or not this will affect particles in the X direction.
- virtual void setAffectY (bool affect)=0
    Set whether or not this will affect particles in the Y direction.
- virtual void setAffectZ (bool affect)=0
    Set whether or not this will affect particles in the Z direction.
- virtual void setAttract (bool attract)=0
    Set whether or not the particles are attracting or detracting.
- virtual void setPoint (const core::vector3df &point)=0
    Set the point that particles will attract to.

## Detailed Description

A particle affector which attracts or detracts particles.

Definition at line 16 of file IParticleAttractionAffector.h.

## Member Function Documentation

virtual bool irr::scene::IParticleAttractionAffector::getAffectX | ( |  | ) | const`[pure virtual]`

Get whether or not the particles X position are affected.

virtual bool irr::scene::IParticleAttractionAffector::getAffectY | ( |  | ) | const`[pure virtual]`

Get whether or not the particles Y position are affected.

virtual bool irr::scene::IParticleAttractionAffector::getAffectZ | ( |  | ) | const`[pure virtual]`

Get whether or not the particles Z position are affected.

virtual bool irr::scene::IParticleAttractionAffector::getAttract | ( |  | ) | const`[pure virtual]`

Get whether or not the particles are attracting or detracting.

virtual const core::vector3df& irr::scene::IParticleAttractionAffector::getPoint | ( |  | ) | const`[pure virtual]`

Get the point that particles are attracted to.

virtual E_PARTICLE_AFFECTOR_TYPE irr::scene::IParticleAttractionAffector::getType | ( |  | ) | const`[inline, virtual]`

Get emitter type.

Implements irr::scene::IParticleAffector.

Definition at line 51 of file IParticleAttractionAffector.h.

References irr::scene::EPAT_ATTRACT.

virtual void irr::scene::IParticleAttractionAffector::setAffectX | ( | bool | affect | ) | `[pure virtual]`

Set whether or not this will affect particles in the X direction.

virtual void irr::scene::IParticleAttractionAffector::setAffectY | ( | bool | affect | ) | `[pure virtual]`

Set whether or not this will affect particles in the Y direction.

virtual void irr::scene::IParticleAttractionAffector::setAffectZ | ( | bool | affect | ) | `[pure virtual]`

Set whether or not this will affect particles in the Z direction.

virtual void irr::scene::IParticleAttractionAffector::setAttract | ( | bool | attract | ) | `[pure virtual]`

Set whether or not the particles are attracting or detracting.

virtual void irr::scene::IParticleAttractionAffector::setPoint | ( | const core::vector3df & | point | ) | `[pure virtual]`

Set the point that particles will attract to.

The documentation for this class was generated from the following file:

- IParticleAttractionAffector.h